Name:           GiGi
Version:        0.6.0
%define revision r803
Release:        1.%{revision}%{?dist}
Summary:        A small, efficient, and feature-rich C++ GUI for OpenGL.
Group:          System Environment/Libraries
# includes Adobe Source Libraries
License:        LGPLv2.1+ and Adobe
URL:            http://gigi.sourceforge.net/
# wget -O GiGi-0.6.0.r803.tar.gz "http://gigi.svn.sourceforge.net/viewvc/gigi/trunk/GG.tar.gz?view=tar&pathrev=803"
Source0:        %{name}-%{version}.%{revision}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  DevIL-devel
BuildRequires:  freetype-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  ois-devel
BuildRequires:  ogre-devel
BuildRequires:  SDL-devel

%package devel
Summary:        GiGi header files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%package doc
Summary:        GiGi documentation
Group:          Documentation
BuildRequires:  doxygen

%description
GiGi is a small, efficient, and feature-rich C++ GUI for OpenGL. It is uses
frame-based rendering and has fully customizable graphics, making it ideal
for use in low- or high-frame rate applications and games.

%description devel
This package contains the header files for GiGi.
Install this package if you want to develop programs that use GiGi.

%description doc
This package contains developer documentation for GiGi.

%prep
%setup -q -n GG
# use system boost/gil
sed -i -e 's#"GIL/\(.*\)hpp"#<boost/gil/\1hpp>#g' \
    -e '/gray_alpha8/d' \
    -e 's/vector4/vector3/' \
    src/Texture.cpp
# don't build own ltdl
sed -i -e '/..\/libltdl\/ltdl.c/d' src/CMakeLists.txt
# don't delete the generated docs an put them into correct directory
cat <<EOF | patch -p0
--- CMakeLists.txt~     2010-01-21 18:40:22.000000000 +0100
+++ CMakeLists.txt      2010-02-14 08:42:04.248495363 +0100
@@ -319,15 +319,11 @@
             \${CMAKE_HOME_DIRECTORY}/doc/GG
             \${CMAKE_BINARY_DIR}/doc/GG
         )
-        execute_process(
-            COMMAND \${CMAKE_COMMAND} -E remove_directory
-            \${CMAKE_HOME_DIRECTORY}/doc/GG
-        )
     endif ()
     if (BUILD_DOCUMENTATION AND NOT NO_DOCS_PACKAGE)
         install(
             DIRECTORY \${CMAKE_BINARY_DIR}/doc/GG
-            DESTINATION doc
+            DESTINATION share/doc
         )
     endif ()
 elseif (BUILD_DOCUMENTATION)
EOF
# fix missing libs
sed -i -e "s/LIBRARIES})/LIBRARIES} ltdl)/" tutorial/CMakeLists.txt

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# add sources shared (used) by FreeOrion
mkdir -p %{buildroot}/%{_datadir}/cmake/Modules
cp cmake/Config.cmake %{buildroot}/%{_datadir}/cmake/Modules
cp cmake/Util.cmake %{buildroot}/%{_datadir}/cmake/Modules

# not present
#%check
#ctest

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libGiGi.so
%{_libdir}/libGiGiOgre.so
%{_libdir}/libGiGiOgrePlugin_OIS.so
%{_libdir}/libGiGiSDL.so

%files devel
%defattr(-,root,root,-)
%{_datadir}/cmake/Modules/*
%{_includedir}/GG
%doc %{_includedir}/GG/adobe/LICENSE_1_0_0.txt
%{_libdir}/pkgconfig/GiGi.pc
%{_libdir}/pkgconfig/GiGiOgre.pc
%{_libdir}/pkgconfig/GiGiSDL.pc

%files doc
%defattr(-,root,root,-)
%doc %{_docdir}/GG

%changelog
* Sat Mar 06 2010 Karel Volný <kvolny@redhat.com> 0.6.0-1.r803
- Initial Fedora release
